Developer documentation

Field definitions

get https://app.iteras.dk/api/fields/

The /api/fields/ endpoint enables you to retrieve information about the fields defined in Iteras.

Parameters

All parameters are optional.

  • id string
    Field ids, e.g. ?id=birthday&id=:Cancellation reason. Can be repeated. The id is either the field name with a colon prepended or if defined the external identifier of the field. Remember to URL encode the ids.

Return value

The data returned is an object with an array of field definitions (possibly empty array).

{
  "fields": [
    {
      "name": "Title",
      "id": ":Title",
      "type": "text"
    },
    {
      "name": "Subscription type",
      "id": ":Subscription type",
      "type": "choice",
      "choices": [
        {
          "customer_facing": true,
          "name": "Personal"
        },
        {
          "customer_facing": true,
          "name": "Business"
        }
      ]
    }
  ]
}